## dods.dap
Class UInt32PrimitiveVector

    java.lang.Object
      dods.dap.PrimitiveVector
          dods.dap.Int32PrimitiveVector
              dods.dap.UInt32PrimitiveVector

All Implemented Interfaces:
  ClientIO, Cloneable

public class UInt32PrimitiveVector
extends Int32PrimitiveVector

A vector of unsigned ints.

See Also:
  `PrimitiveVector`

Constructor Summary
`UInt32PrimitiveVector(BaseType var)` Constructs a new `UInt32PrimitiveVector`.

Method Summary
`void` `printSingleVal(PrintWriter os, int index)` Prints the value of a single variable in this vector.
`void` `printVal(PrintWriter os, String space)` Prints the value of all variables in this vector.

Methods inherited from class dods.dap.Int32PrimitiveVector
`clone, deserialize, externalize, externalize, getInternalStorage, getLength, getValue, setInternalStorage, setLength, setValue, subset`

Methods inherited from class dods.dap.PrimitiveVector
`getTemplate, printDecl, printDecl`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UInt32PrimitiveVector

    public UInt32PrimitiveVector(BaseType var)

  Constructs a new `UInt32PrimitiveVector`.

Method Detail

### printVal

    public void printVal(PrintWriter os,
                         String space)

  Prints the value of all variables in this vector. This method is primarily intended for debugging DODS applications and text-based clients such as geturl.

  Overrides:
    `printVal` in class `Int32PrimitiveVector`
  Parameters:
    `os` - the `PrintWriter` on which to print the value.
    `space` - this value is passed to the `printDecl` method, and controls the leading spaces of the output.
  See Also:
    `BaseType.printVal(PrintWriter, String, boolean)`

### printSingleVal

    public void printSingleVal(PrintWriter os,
                               int index)

  Prints the value of a single variable in this vector. method is used by `DArray`'s `printVal` method.

  Overrides:
    `printSingleVal` in class `Int32PrimitiveVector`
  Parameters:
    `os` - the `PrintWriter` on which to print the value.
    `index` - the index of the variable to print.
  See Also:
    `DArray.printVal(PrintWriter, String, boolean)`